Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.compiler
Class ExtensionFunction

    java.lang.Object
      |
      +--org.apache.commons.jxpath.ri.compiler.Expression
            |
            +--org.apache.commons.jxpath.ri.compiler.Operation
                  |
                  +--org.apache.commons.jxpath.ri.compiler.ExtensionFunction

public class ExtensionFunction
extends Operation

Represents an element of the parse tree representing an extension function call.

Version:
  $Revision: 1.10 $ $Date: 2003/03/11 00:59:22 $
Author:
  Dmitri Plotnikov

Inner classes inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`Expression.PointerIterator, Expression.ValueIterator`

Fields inherited from class org.apache.commons.jxpath.ri.compiler.Operation
`args`

Fields inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`NOT_A_NUMBER, ONE, ZERO`

Constructor Summary
`ExtensionFunction(QName functionName, Expression[] args)`

Method Summary
`java.lang.Object` | `compute(EvalContext context)`
`boolean` | `computeContextDependent()` An extension function gets the current context, therefore it MAY be context dependent.
`java.lang.Object` | `computeValue(EvalContext context)` Evaluates the expression.
`QName` | `getFunctionName()`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.Operation
`getArguments`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`isContextDependent, iterate, iteratePointers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtensionFunction

    public ExtensionFunction(QName functionName,
                             Expression[] args)

Method Detail

### getFunctionName

    public QName getFunctionName()

### computeContextDependent

    public boolean computeContextDependent()

  An extension function gets the current context, therefore it MAY be context dependent.
  Overrides:
    `computeContextDependent` in class `Operation`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### compute

    public java.lang.Object compute(EvalContext context)

  Overrides:
    `compute` in class `Expression`

### computeValue

    public java.lang.Object computeValue(EvalContext context)

  Description copied from class: `Expression`
  Evaluates the expression. If the result is a node set, returns the first element of the node set.
  Overrides:
    `computeValue` in class `Expression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.